package cn.wise.sc.acquisition.business.service;

import cn.wise.sc.acquisition.business.entity.TSampleLaboratorysheet;
import cn.wise.sc.acquisition.business.model.query.TSampleLaboratorysheetQuery;
import com.baomidou.mybatisplus.extension.api.R;
import com.baomidou.mybatisplus.extension.service.IService;

import javax.servlet.http.HttpServletResponse;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author renchao
 * @since 2021-04-25
 */
public interface ITSampleLaboratorysheetService extends IService<TSampleLaboratorysheet> {

    R getByYh(TSampleLaboratorysheetQuery tSampleLaboratorysheetQuery);

    R updateByYh(TSampleLaboratorysheetQuery tSampleLaboratorysheetQuery);

    R deleteByYh(TSampleLaboratorysheetQuery tSampleLaboratorysheetQuery);

    R insertTSampleLaboratorysheet(TSampleLaboratorysheetQuery tSampleLaboratorysheetQuery);

    R getImage(TSampleLaboratorysheetQuery query, final HttpServletResponse response);

}
